Package ru.bitel.oss.kernel.xsl.server.bean

# Class XslPatternRuntimeMap

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.oss.kernel.xsl.server.bean.XslPatternRuntimeMap

All Implemented Interfaces:
  `EventListener<XslModifiedEvent>`

public class XslPatternRuntimeMap extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements EventListener<XslModifiedEvent>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XslPatternRuntimeMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XslPatternRuntime`
  `get(String name)`
  `static XslPatternRuntimeMap`
  `getInstance()`
  `static XslPatternRuntimeMap`
  `getInstance(Connection con)`
  `static XslPatternRuntimeMap`
  `getInstance(ru.bitel.bgbilling.kernel.container.managed.ServerContext context)`
  `static XslPatternRuntimeMap`
  `getInstance(ConnectionSet connectionSet)`
  `Map<String,XslPatternRuntime>`
  `getMap()`
  `void`
  `notify(XslModifiedEvent event, EventListenerContext ctx)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XslPatternRuntimeMap

    public XslPatternRuntimeMap()

- ## Method Details

  - ### getInstance

    public static XslPatternRuntimeMap getInstance() throws Exception
    Throws:
      `Exception`

  - ### getInstance

    public static XslPatternRuntimeMap getInstance(ru.bitel.bgbilling.kernel.container.managed.ServerContext context) throws Exception
    Throws:
      `Exception`

  - ### getInstance

    public static XslPatternRuntimeMap getInstance(ConnectionSet connectionSet) throws Exception
    Throws:
      `Exception`

  - ### getInstance

    public static XslPatternRuntimeMap getInstance(Connection con) throws Exception
    Throws:
      `Exception`

  - ### notify

    public void notify(XslModifiedEvent event, EventListenerContext ctx) throws Exception
    Specified by:
      `notify` in interface `EventListener<XslModifiedEvent>`
    Throws:
      `Exception`

  - ### get

    public XslPatternRuntime get(String name)

  - ### getMap

    public Map<String,XslPatternRuntime> getMap()